namespace HistoryView.Controls;

public partial class TempStatus : UserControl
{
    public TempStatus()
    {
        InitializeComponent();
    }

    public Channel Source
    {
        get { return (Channel)GetValue(SourceProperty); }
        set { SetValue(SourceProperty, value); }
    }

    public static readonly DependencyProperty SourceProperty =
        DependencyProperty.Register("Source", typeof(Channel), typeof(TempStatus), new PropertyMetadata(default));

    public Mini8Status Mini8Status
    {
        get { return (Mini8Status)GetValue(Mini8StatusProperty); }
        set { SetValue(Mini8StatusProperty, value); }
    }

    public static readonly DependencyProperty Mini8StatusProperty =
        DependencyProperty.Register("Mini8Status", typeof(Mini8Status), typeof(TempStatus), new PropertyMetadata(default));



    public bool IsConnected
    {
        get { return (bool)GetValue(IsConnectedProperty); }
        set { SetValue(IsConnectedProperty, value); }
    }

    public static readonly DependencyProperty IsConnectedProperty =
        DependencyProperty.Register("IsConnected", typeof(bool), typeof(TempStatus), new PropertyMetadata(default));

    public bool IsEnable
    {
        get { return (bool)GetValue(IsEnableProperty); }
        set { SetValue(IsEnableProperty, value); }
    }

    public static readonly DependencyProperty IsEnableProperty =
        DependencyProperty.Register("IsEnable", typeof(bool), typeof(TempStatus), new PropertyMetadata(default));
}
